Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1293)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1299)
@@ -1572,4 +1572,11 @@
 	p4zint.F90
 $(MODEL_LIB)(p4zlim.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1587,14 +1594,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1605,7 +1605,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1618,4 +1618,11 @@
 	p4zlim.F90
 $(MODEL_LIB)(p4zlys.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1634,14 +1641,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1653,7 +1653,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -1667,4 +1667,11 @@
 	p4zlys.F90
 $(MODEL_LIB)(p4zmeso.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1686,14 +1693,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1708,7 +1708,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zint.o) \
@@ -1727,4 +1727,11 @@
 	p4zmeso.F90
 $(MODEL_LIB)(p4zmicro.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1746,14 +1753,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1768,7 +1768,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zint.o) \
@@ -1787,4 +1787,11 @@
 	p4zmicro.F90
 $(MODEL_LIB)(p4zmort.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1806,14 +1813,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1828,7 +1828,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zsink.o) \
@@ -1845,4 +1845,11 @@
 	p4zmort.F90
 $(MODEL_LIB)(p4zopt.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1860,14 +1867,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1878,7 +1878,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1891,4 +1891,11 @@
 	p4zopt.F90
 $(MODEL_LIB)(p4zprod.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1909,14 +1916,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1930,7 +1930,8 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -1941,5 +1942,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zint.F90 \
@@ -1953,4 +1953,11 @@
 	p4zprod.F90
 $(MODEL_LIB)(p4zrem.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1976,14 +1983,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2002,7 +2002,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zche.o) \
@@ -2027,4 +2027,16 @@
 	p4zrem.F90
 $(MODEL_LIB)(p4zsed.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2061,19 +2073,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2098,7 +2098,10 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2114,7 +2117,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zbio.F90 \
@@ -2131,4 +2131,11 @@
 	p4zsed.F90
 $(MODEL_LIB)(p4zsink.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2147,14 +2154,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2166,7 +2166,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -2279,16 +2279,19 @@
 	par_trc.F90
 $(MODEL_LIB)(phycst.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	par_oce.F90 \
 	phycst.F90
 $(MODEL_LIB)(prtctl.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2296,17 +2299,22 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	prtctl.F90
 $(MODEL_LIB)(prtctl_trc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2330,15 +2338,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_c14b.F90 \
@@ -2354,13 +2354,13 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_trc.o) \
 	oce_trc.F90 \
 	par_trc.F90 \
@@ -2379,31 +2379,8 @@
 	par_oce.F90 \
 	sbcrnf.F90
-$(MODEL_LIB)(sed.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.f90 \
-	oce_trc.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	prtctl_trc.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
+$(MODEL_LIB)(sedadv.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2414,7 +2391,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2422,23 +2396,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	KEY_CPP \
-	sed.F90
-$(MODEL_LIB)(sedadv.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(p4zsink.o) \
-	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	oce.F90 \
-	p4zsink.F90 \
-	par_sed.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
 	$(MODEL_LIB)(sed.o) \
 	sed.F90 \
@@ -2457,4 +2412,7 @@
 	sedarr.F90
 $(MODEL_LIB)(sedbtb.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2466,7 +2424,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2475,6 +2430,6 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedmat.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedmat.o) \
 	sed.F90 \
 	sedmat.F90 \
@@ -2482,4 +2437,7 @@
 	sedbtb.F90
 $(MODEL_LIB)(sedchem.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2490,7 +2448,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2498,11 +2453,14 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	KEY_CPP \
 	sedchem.F90
 $(MODEL_LIB)(sedco3.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2513,7 +2471,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2526,4 +2481,7 @@
 	sedco3.F90
 $(MODEL_LIB)(seddsr.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2535,7 +2493,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2544,13 +2499,21 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
+	sedco3.F90 \
 	sed.F90 \
-	sedco3.F90 \
 	sedmat.F90 \
 	KEY_CPP \
 	seddsr.F90
 $(MODEL_LIB)(seddta.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2566,33 +2529,79 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	oce.F90 \
+	p4zsink.F90 \
+	par_sed.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	iom.F90 \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(sedarr.o) \
+	$(MODEL_LIB)(sed.o) \
+	sedarr.F90 \
+	sed.F90 \
+	KEY_CPP \
+	seddta.F90
+$(MODEL_LIB)(sed.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_pisces.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(prtctl_trc.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_pisces.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	prtctl_trc.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(p4zsink.o) \
+	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce.F90 \
+	p4zsink.F90 \
+	par_sed.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	KEY_CPP \
+	sed.F90
+$(MODEL_LIB)(sedini.o) :	\
 	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
+	iom.F90 \
 	iom_ioipsl.F90 \
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	oce.F90 \
-	p4zsink.F90 \
-	par_sed.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	iom.F90 \
-	sed.F90 \
-	sedarr.F90 \
-	KEY_CPP \
-	seddta.F90
-$(MODEL_LIB)(sedini.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2600,41 +2609,35 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sedchem.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(seddta.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
-	iom.F90 \
-	sed.F90 \
 	sedarr.F90 \
 	sedchem.F90 \
 	sedco3.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedrst.F90 \
 	KEY_CPP \
 	sedini.F90
 $(MODEL_LIB)(sedmat.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2645,7 +2648,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2658,4 +2658,7 @@
 	sedmat.F90
 $(MODEL_LIB)(sedmbc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2664,27 +2667,28 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedco3.F90 \
 	sed.F90 \
-	sedco3.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(seddsr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(seddsr.o) \
+	seddsr.F90 \
 	sed.F90 \
-	seddsr.F90 \
 	KEY_CPP \
 	sedmbc.F90
 $(MODEL_LIB)(sedmodel.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2694,5 +2698,4 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedarr.o) \
@@ -2703,4 +2706,5 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
@@ -2708,12 +2712,7 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
-	sed.F90 \
 	sedadv.F90 \
 	sedarr.F90 \
@@ -2723,4 +2722,5 @@
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2729,6 +2729,6 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedini.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedini.o) \
 	$(MODEL_LIB)(sedstp.o) \
 	sed.F90 \
@@ -2738,4 +2738,12 @@
 	sedmodel.F90
 $(MODEL_LIB)(sedrst.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2751,12 +2759,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2764,14 +2764,18 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	iom.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
 	sedrst.F90
 $(MODEL_LIB)(sedsfc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2781,28 +2785,29 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(seddta.o) \
-	sed.F90 \
+	$(MODEL_LIB)(sed.o) \
 	sedarr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	KEY_CPP \
 	sedsfc.F90
 $(MODEL_LIB)(sedstp.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -2813,5 +2818,4 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sedco3.o) \
@@ -2819,23 +2823,18 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
-	sed.F90 \
 	sedarr.F90 \
 	sedco3.F90 \
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedbtb.o) \
@@ -2845,8 +2844,8 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
 	$(MODEL_LIB)(sedwri.o) \
-	sed.F90 \
 	sedadv.F90 \
 	sedbtb.F90 \
@@ -2855,4 +2854,5 @@
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2862,4 +2862,7 @@
 	sedstp.F90
 $(MODEL_LIB)(sedwri.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2871,7 +2874,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2880,10 +2880,10 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	dianam.F90 \
 	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	dianam.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
@@ -2934,4 +2934,16 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	ldfeiv.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -2957,31 +2969,19 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
-	$(MODEL_LIB)(trcsms.o) \
 	$(MODEL_LIB)(trcsms_c14b.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
 	$(MODEL_LIB)(trcsms_my_trc.o) \
+	$(MODEL_LIB)(trcsms.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trctrp.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldfeiv.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2995,10 +2995,10 @@
 	sms_pisces.F90 \
 	trabbl.F90 \
-	trc.F90 \
 	trcdia.F90 \
+	trc.F90 \
 	trcrst.F90 \
-	trcsms.F90 \
 	trcsms_c14b.F90 \
 	trcsms_cfc.F90 \
+	trcsms.F90 \
 	trcsms_my_trc.F90 \
 	trctrp.F90 \
@@ -3007,7 +3007,14 @@
 	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3023,11 +3030,4 @@
 	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
 	oce.F90 \
 	stpctl.F90 \
@@ -3040,4 +3040,8 @@
 	step.F90
 $(MODEL_LIB)(stpctl.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -3047,31 +3051,27 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
 	oce.F90 \
 	stpctl.F90
 $(MODEL_LIB)(trabbl.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
